Bug 209235 - games/palomino: Add patches to allow build with osg-3.4.0
Summary: games/palomino: Add patches to allow build with osg-3.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch, patch-ready
Depends on:
Blocks: 209056
  Show dependency treegraph
 
Reported: 2016-05-03 15:54 UTC by Ben Woods
Modified: 2016-05-06 18:01 UTC (History)
3 users (show)

See Also:


Attachments
Patch to allow games/palomino to build with osg-3.4.0 (4.90 KB, patch)
2016-05-03 15:54 UTC, Ben Woods
woodsb02: maintainer-approval+
Details | Diff
QA: Successful poudriere testport logs for games/palomino 20131231_2 against osg-3.4.0 on FreeBSD 11-current amd64 (241.68 KB, text/plain)
2016-05-03 15:57 UTC, Ben Woods
no flags Details
QA: Successful poudriere testport logs for games/palomino 20131231_2 with patch against existing ports tree (osg-3.2.1_8) on FreeBSD 11-current amd64 (228.31 KB, text/plain)
2016-05-04 08:58 UTC, Ben Woods
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2016-05-03 15:54:35 UTC
Created attachment 169929 [details]
Patch to allow games/palomino to build with osg-3.4.0

games/palomino:
Add patches to fix build when graphics/osg is updated to 3.4.0:
- osg API changed computeBound() to computeBoundingBox() [1]
- osg API changed osg::CameraNode to osg::Camera [2]
- osg API removed osgGA::GUIEventHandlerVisitor which was effectively a no-ip [3]

  [1] https://github.com/xarray/osgRecipes/issues/13#issuecomment-60334167
  [2] http://forum.openscenegraph.org/viewtopic.php?p=64541#64541
  [3] http://osg-users.openscenegraph.narkive.com/o11k42ph/removing-unused-classes-in-osgga#post5
Comment 1 Ben Woods freebsd_committer 2016-05-03 15:57:59 UTC
Created attachment 169930 [details]
QA: Successful poudriere testport logs for games/palomino 20131231_2 against osg-3.4.0 on FreeBSD 11-current amd64
Comment 2 Kurt Jaeger freebsd_committer 2016-05-03 19:08:49 UTC
Do I understand this correct: this patch and the osg-update have to happen in one go ?
Comment 3 Ben Woods freebsd_committer 2016-05-04 08:57:07 UTC
(In reply to Kurt Jaeger from comment #2)
> Do I understand this correct: this patch and the osg-update have to happen
> in one go ?

Hi Kurt,

No, in fact these osg API changes were made some time ago, and games/palomino has only continued to build successfully because osg included shims for the deprecated API, until recently when they were removed.

The result is that games/palomino builds successfully with these patches against the existing version of graphics/osg in ports (3.2.1). I.e. this patch can be committed now without breaking anything (before the osg update to 3.4.0).
Comment 4 Ben Woods freebsd_committer 2016-05-04 08:58:56 UTC
Created attachment 169951 [details]
QA: Successful poudriere testport logs for games/palomino 20131231_2 with patch against existing ports tree (osg-3.2.1_8) on FreeBSD 11-current amd64
Comment 5 commit-hook freebsd_committer 2016-05-06 17:53:04 UTC
A commit references this bug:

Author: riggs
Date: Fri May  6 17:52:24 UTC 2016
New revision: 414714
URL: https://svnweb.freebsd.org/changeset/ports/414714

Log:
  Allow build with upcoming version of graphics/osg 3.4.0; bump PORTREVISION

  PR:		209235
  Submitted by:	woodsb02@gmail.com

Changes:
  head/games/palomino/Makefile
  head/games/palomino/files/
  head/games/palomino/files/patch-src_input_device__keyboard__osg.cc
  head/games/palomino/files/patch-src_input_device__keyboard__osg.hh
  head/games/palomino/files/patch-src_input_device__mouse__osg.cc
  head/games/palomino/files/patch-src_input_device__mouse__osg.hh